# swoole_async_dns_lookup

(PHP 5 >= 5.2.0, PHP 7, PECL swoole >= 1.9.0)

swoole_async_dns_lookup — Async and non-blocking hostname to IP lookup

### Description

swoole_async_dns_lookup ( string `$hostname` , callable `$callback` ) : bool

### Parameters

`hostname`

  The host name.

`callback`
  callback ( string `$hostname` , string `$ip` ) : mixed
  `hostname`

    The host name.

  `IP`

    The IP address.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.